Post V 2 Defects
Authentication
AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token:
1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret`
2. Make a POST request to obtain an access token:
```
POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded
grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
```
3. The response will contain your access token:
```json
{
"access_token": "your_access_token_here",
"token_type": "Bearer",
"expires_in": 7200,
"created_at": 1234567890
}
```
4. Include the token in subsequent API requests:
```
Authorization: Bearer your_access_token_here
```
Request
This endpoint expects an object.
work_set_workflow_id
journey_step_id
custom_id
description
assignee_ids
requires_resolution_images
attachments
custom_field_values
Response
created Defect
id
ULID
display_id
custom_id
status
description
description_html
journey_step_id
ULID
journey_id
ULID
step_label
requires_resolution_images
rework_count
created_by_user
assignees
reviewers
approvers
observers
available_transitions
can_manage_participants
work_set_workflow
custom_fields
custom_field_definitions
timeline
description_attachments
created_at
Unix timestamp (seconds since epoch)
updated_at
Unix timestamp (seconds since epoch)

